## org.apache.bcel.classfile
Class ConstantFloat

    java.lang.Object
      org.apache.bcel.classfile.Constant
          org.apache.bcel.classfile.ConstantFloat

All Implemented Interfaces:
  Serializable, Cloneable, ConstantObject, Node

    public final class ConstantFloat

extends Constant
implements ConstantObject

This class is derived from the abstract Constant class and represents a reference to a float object.

Version:
  $Id: ConstantFloat.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  `Constant`, Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.classfile.Constant
`tag`

Constructor Summary
`ConstantFloat(ConstantFloat c)` Initialize from another object.
`ConstantFloat(float bytes)`

Method Summary
`void` `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
`void` `dump(DataOutputStream file)` Dump constant float to file stream in binary format.
`float` `getBytes()`
`Object` `getConstantValue(ConstantPool cp)`
`void` `setBytes(float bytes)`
`String` `toString()`

Methods inherited from class org.apache.bcel.classfile.Constant
`clone, copy, equals, getComparator, getTag, hashCode, setComparator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantFloat

    public ConstantFloat(float bytes)

Parameters:
  `bytes` - Data

### ConstantFloat

    public ConstantFloat(ConstantFloat c)

  Initialize from another object. Note that both objects use the same references (shallow copy). Use clone() for a physical copy.

Method Detail

### accept

    public void accept(Visitor v)

  Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.

  Specified by:
    `accept` in interface `Node`
  Specified by:
    `accept` in class `Constant`
  Parameters:
    `v` - Visitor object

### dump

    public final void dump(DataOutputStream file)
                    throws IOException

  Dump constant float to file stream in binary format.

  Specified by:
    `dump` in class `Constant`
  Parameters:
    `file` - Output file stream
  Throws:
    `IOException`

### getBytes

    public final float getBytes()

  Returns:
    data, i.e., 4 bytes.

### setBytes

    public final void setBytes(float bytes)

  Parameters:
    `bytes` - the raw bytes that represent this float

### toString

    public final String toString()

  Overrides:
    `toString` in class `Constant`
  Returns:
    String representation.

### getConstantValue

    public Object getConstantValue(ConstantPool cp)

  Specified by:
    `getConstantValue` in interface `ConstantObject`
  Returns:
    Float object

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.